#!/bin/sh

IRRLICHT_VERSION='6172'

set -e

svn export -r "${IRRLICHT_VERSION}" svn://svn.code.sf.net/p/irrlicht/code/branches/ogl-es irrlicht
cd irrlicht

dos2unix source/Irrlicht/CIrrDeviceLinux.cpp
dos2unix source/Irrlicht/Makefile
dos2unix include/IrrCompileConfig.h

wget -O - https://sourceforge.net/p/irrlicht/patches/_discuss/thread/97431334ce/37b2/f348/0599/6df8/attachment/multitouch-and-phosh-fix.patch | patch -p1

disable_feature() {
    sed -i "s/^#define $1.*$//g" include/IrrCompileConfig.h
}
enable_feature() {
    sed -i "s/^\/\/#define $1.*$/#define $1/g" include/IrrCompileConfig.h
}

disable_feature _IRR_COMPILE_WITH_OPENGL_
disable_feature _IRR_COMPILE_WITH_OGLES2_
disable_feature _IRR_COMPILE_WITH_WEBGL1_
enable_feature _IRR_COMPILE_WITH_OGLES1_
enable_feature _IRR_LINUX_X11_XINPUT2_

cd source/Irrlicht

make NDEBUG=1 CC=aarch64-linux-gnu-gcc CXX=aarch64-linux-gnu-g++ -j$(nproc)
